import { JSX as JSX_2 } from 'react/jsx-runtime';

declare interface Breakpoints {
    [key: string]: [number, number];
}

declare type BreakpointsPreset = 'tailwind' | 'bootstrap' | 'bootstrap4' | 'bootstrap5' | 'foundation' | 'bulma' | 'mui' | Breakpoints;

declare interface CustomTheme {
    backgroundColor?: string;
    borderColor?: string;
    textColor?: string;
    separatorColor?: string;
    closeButtonColor?: string;
    fontFamily?: string;
}

declare type OverlayPosition = `${YPosition}-${XPosition}` | 'relative';

export declare function ScreenSizeOverlay({ enable, breakpoints, position, showPrevBreakpoint, showNextBreakpoint, showCloseButton, theme, size, transparency, }: ScreenSizeOverlayProps): JSX_2.Element | null;

declare interface ScreenSizeOverlayProps {
    enable?: boolean;
    breakpoints?: BreakpointsPreset;
    position?: OverlayPosition;
    showPrevBreakpoint?: boolean;
    showNextBreakpoint?: boolean;
    showCloseButton?: boolean;
    size?: 'sm' | 'md' | 'lg' | 'xl' | '2xl';
    transparency?: number;
    theme?: Theme;
}

declare type Theme = 'light' | 'dark' | 'scheme' | 'class' | CustomTheme;

declare type XPosition = 'left' | 'right';

declare type YPosition = 'top' | 'bottom';

export { }
